FROM node:20.12.2-alpine
ENV NPM_CONFIG_LOGLEVEL warn

ENV APP_DIR=/opt/app

WORKDIR ${APP_DIR}

COPY ["package*.json", "${APP_DIR}/"]
RUN npm install

COPY [".", "."]
RUN chown -R node:node ${APP_DIR}/*

USER node
EXPOSE 3005

CMD [ "node", "./src/index.js" ]
